Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056511 - Xorg does not start if the highest priority graphics card is not connected
Summary: Xorg does not start if the highest priority graphics card is not connected
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 19
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 11:00 UTC by Oleg Goldshmidt
Modified: 2015-02-17 19:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:55:13 UTC


Attachments (Terms of Use)
The Xrg log with the error (deleted)
2014-01-22 11:00 UTC, Oleg Goldshmidt
no flags Details

Description Oleg Goldshmidt 2014-01-22 11:00:55 UTC
Created attachment 853807 [details]
The Xrg log with the error

Description of problem:

I have a desktop x64 computer with Fedora 19 with an on-board Intel graphics card and an nVidia card in a PCIe slot. The Intel card is connected to the monitor, the nVidia card is not connected (the intent is to use it for CUDA computations, not for graphics). Both cards are enabled (including in the BIOS).

Xorg fails to start, either on boot or from the command line (startx, X, etc.), until /etc/X11/xorg.conf and /etc/X11/nvidia-xconf.org are removed or renamed. Without these files everything works as expected. After an update the files are resurrected and the problem occurs again - the files need to be renamed manually again. 

The Xorg log file says:

[    54.848] (EE) No devices detected.
[    54.848] (EE) 
Fatal server error:
[    54.848] (EE) no screens found(EE) 
[    54.848] (EE) 

(full log file attached).

Without a detailed investigation it seems that the nVidia card gets priority over the on-board Intel one. When it is detected that the nVidia card is not connected to the monitor the on-board card is not checked, and X fails.  

Version-Release number of selected component (if applicable):

$ rpm -qa '*xorg-x11-server*'
xorg-x11-server-Xephyr-1.14.4-3.fc19.x86_64
xorg-x11-server-Xnest-1.14.4-3.fc19.x86_64
xorg-x11-server-utils-7.7-1.fc19.x86_64
xorg-x11-server-Xvfb-1.14.4-3.fc19.x86_64
xorg-x11-server-Xorg-1.14.4-3.fc19.x86_64
xorg-x11-server-common-1.14.4-3.fc19.x86_64

$ rpm -qa '*nvidia*'
xorg-x11-drv-nvidia-libs-331.20-7.fc19.i686
xorg-x11-drv-nvidia-libs-331.20-7.fc19.x86_64
kmod-nvidia-3.12.7-200.fc19.x86_64-331.20-10.fc19.3.x86_64
kmod-nvidia-331.20-10.fc19.3.x86_64
kmod-nvidia-3.12.5-200.fc19.x86_64-331.20-10.fc19.1.x86_64
xorg-x11-drv-nvidia-331.20-7.fc19.x86_64
akmod-nvidia-331.20-10.fc19.x86_64
nvidia-settings-319.32-1.fc19.x86_64

$ uname -rms
Linux 3.12.7-200.fc19.x86_64 x86_64

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 18)
01:00.0 VGA compatible controller: NVIDIA Corporation GK107 [GeForce GT 640] (rev a1)

How reproducible:

The problem is reproducible always, through several updates of Xorg or kernel or nvidia X11 drivers.
 
Steps to Reproduce:
1. Install/update xorg-x11-drv-nvidia (/etc/X11/nvidia-xorg.conf is created).

2. Reboot

or

3. startx or invoke X directly


Actual results:

On boot, everything starts except X, the boot sequence gets to the display manager (KDE display manager in my case) and gets stuck, X does not start (with log file as attached), the console is unusable. It is possible to switch to a different console and log in, but attempts to start X from the command line fail as well.

In addition, one discovers

$ cat /etc/X11/xorg.conf
# RPM Fusion - nvidia-xorg.conf
# 
Section "Device"
        Identifier  "Videocard0"
        Driver      "nvidia"
EndSection

The suspected reason is as above: the nVidia card is not connected to a monitor and the Intel card is never checked.

Given this suspicion it looks like a problem in the logical flow rather than in the nVidia drivers. I cannot verify that the problem occurs with a different PCIe card (no HW).

Expected results:

As long as one of the cards is connected to the monitor X should start without a hitch.

Additional info:

Is probably not the same as Bug 902439 - in the latter both cards are connected to the monitor.

Comment 1 Fedora End Of Life 2015-01-09 21:08:04 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-02-17 19:55:13 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.